package com.yidianling.course.course_special_list.event

import android.content.Context
import android.text.TextUtils
import com.yidianling.course.courseNew.CourseTopicActivity

/**
 * @author yuanwai
 * @描述:课程专题列表事件实现类
 * @Copyright Copyright (c) 2018
 * @Company 壹点灵
 * @date 2018/9/18
 */
class CourseSpecialListEventImpl(private var mContext: Context) : ICourseSpecialListEvent{

    /**
     * 跳转课程专题页
     */
    override fun toCourseSpecial(id: String?) {
        if (TextUtils.isEmpty(id)){
            return
        }
        CourseTopicActivity.start(mContext,id!!)
    }
}